# Type Alias UseFaceNormalInterface

UseFaceNormalInterface:
| {
alignmentVector?: { x?: number; y?: number; z?: number };
enable?: boolean;
fixedFaceNormal?: (face: THREE.Vector3) => THREE.Vector3;
}
| boolean

#### Type Declaration

- {
  alignmentVector?: { x?: number; y?: number; z?: number };
  enable?: boolean;
  fixedFaceNormal?: (face: THREE.Vector3) => THREE.Vector3;
  }

  - ##### `Optional` alignmentVector?: { x?: number; y?: number; z?: number }

    期望对齐的方向，默认为Y轴对齐Face的法向向量，即 `{ x: 0, y: 1, z: 0 }`

  - ##### `Optional` enable?: boolean

    是否使用面的法线，默认为true

  - ##### `Optional` fixedFaceNormal?: (face: THREE.Vector3) => THREE.Vector3

    修正后的face normal

- boolean

- Defined in lib/plugins/Object3DHelperPlugin/Controllers/MoveController.ts:35